Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.resources
Interface IocContainer

All Superinterfaces:
  ResourceTable

All Known Subinterfaces:
  MutableIocContainer

All Known Implementing Classes:
  IocContainerImpl, SimpleIocContainer

    public interface IocContainer

extends ResourceTable

Method Summary
`MutableNameTable` | `getNameTable()`
`QnameContext` | `getQnameContext()`
`javax.xml.transform.sax.SAXTransformerFactory` | `getTransformerFactory()`
`java.lang.String[]` | `getUris(java.lang.Class javaInterface)`
`java.lang.Object` | `lookupConfigurationComponent(java.lang.Class javaInterface)` Looks up the configuration resource associated with the specified java interface.
`java.lang.Object` | `lookupServiceComponent(java.lang.Class javaInterface, java.lang.String uri)` Looks up the service resource associated with the specified java interface and uri.
`void` | `printDiagnostics(java.io.PrintStream os)`
`void` | `putUris(java.lang.Class javaInterface, java.util.List<java.lang.String> uriList)`

Method Detail

### lookupServiceComponent

    java.lang.Object lookupServiceComponent(java.lang.Class javaInterface,
                                            java.lang.String uri)

  Looks up the service resource associated with the specified java interface and uri.

  Specified by:
    `lookupServiceComponent` in interface `ResourceTable`
  Parameters:
    `javaInterface` - the java interface that the component implements.
    `uri` - the resource uri.
  Returns:
    A service resource if found, null otherwise.

### lookupConfigurationComponent

    java.lang.Object lookupConfigurationComponent(java.lang.Class javaInterface)

  Looks up the configuration resource associated with the specified java interface.

  Specified by:
    `lookupConfigurationComponent` in interface `ResourceTable`
  Parameters:
    `javaInterface` - the java interface that the component implements.
  Returns:
    A configuration resource if found, null otherwise.

### printDiagnostics

    void printDiagnostics(java.io.PrintStream os)

### getNameTable

    MutableNameTable getNameTable()

### getUris

    java.lang.String[] getUris(java.lang.Class javaInterface)

### putUris

    void putUris(java.lang.Class javaInterface,
                 java.util.List<java.lang.String> uriList)

### getTransformerFactory

    javax.xml.transform.sax.SAXTransformerFactory getTransformerFactory()

### getQnameContext

    QnameContext getQnameContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD